# Uses of Interface
org.eclipse.core.databinding.validation.IValidator

Packages that use IValidator
Package
Description
org.eclipse.core.databinding
Provides classes for binding observable objects, for example UI widgets and model objects.

## Uses of IValidator in org.eclipse.core.databinding

Fields in org.eclipse.core.databinding declared as IValidator
Modifier and Type
Field
Description
`protected IValidator<? super D>`
UpdateValueStrategy.`afterConvertValidator`
`protected IValidator<? super S>`
UpdateValueStrategy.`afterGetValidator`
`protected IValidator<? super D>`
UpdateValueStrategy.`beforeSetValidator`
Methods in org.eclipse.core.databinding that return IValidator
Modifier and Type
Method
Description
`protected IValidator<S>`
UpdateValueStrategy.`createValidator(Object fromType, Object toType)`
Tries to create a validator that can validate values of type fromType.
Methods in org.eclipse.core.databinding with parameters of type IValidator
Modifier and Type
Method
Description
`UpdateValueStrategy<S,D>`
UpdateValueStrategy.`setAfterConvertValidator(IValidator<? super D> validator)`
Sets the validator to be invoked after the source value is converted to the type of the destination observable.
`UpdateValueStrategy<S,D>`
UpdateValueStrategy.`setAfterGetValidator(IValidator<? super S> validator)`
Sets the validator to be invoked after the source value is retrieved at the beginning of the synchronization process.
`UpdateValueStrategy<S,D>`
UpdateValueStrategy.`setBeforeSetValidator(IValidator<? super D> validator)`
Sets the validator to be invoked before the value is to be set on the destination at the end of the synchronization process.